/*
 * LCD430.h
 * prj LCD-G2452-I2C
 *  Created on: 26/nov/2013
 *      Author: Elpablito
 */

#ifndef LCD430_H_
#define LCD430_H_

// Prototipi di funzione
 void int_to_str(unsigned int num);				// converte un numero in stringa
 void clr_line_buffer(void);     		// inserisce in disp[16]  spazi bianchi
 void strobe(void);         			// impulso di memorizzazione per LCD
 void init_LCD(void);       			// Inizializza il modulo LCD
 void LCD_wrt(char tipo,char dato); 	// per visualizzare un carattere ascii
 void LCD_pos_line(char posizione, char line); 	//posizione e linea del cursore
 void LCD_string(const char stringa[]); 		// A LCD una stringa costante
 void LCD_clear(void);        					// per cancellare l'LCD
 void write_i2c(char MST_data);					// Invia MST_data all'expander


#endif /* LCD430_H_ */
